input[type="number"]::-webkit-outer-spin-button, input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
 
input[type="number"] {
    -moz-appearance: textfield;
}
h1 {
	line-height: 1.5;
	padding-bottom: 15px;
}

.inline {
	display: inline-block;
}

.f24 {
	font-size: 24px;
}

.f_blue {
	color: #4a90e2;
} 

.f_b {
	font-weight: bold;
}

.t_left {
	text-align: left;
}
.pt30 {
	padding-top: 30px;
}

.border {
	border: 1px solid #eeeeee;
}

.box180 {
	max-width: 180px;
}

.box140 {
	max-width: 140px;
}

.box120 {
	max-width: 120px;
}

.box100 {
	max-width: 100px;
}

.box60 {
	max-width: 57px;
}

.box60 + span {
	/* line-height: 48px; */
	vertical-align: middle;
}

.wrapper {
	width: 100%;
	max-width: 940px;
	line-height: 1.5;
	font-size: 15px;
	padding: 20px;
	margin-left: auto;
    margin-right: auto;
	font-family: sans-serif, "微軟正黑體";
}


#app {
	width: 100%;
	overflow: scroll;
	white-space: nowrap;
	height: 100vh;
} 

#ScrolledArea {
	white-space: normal;
}

.select_wrap {
	position: relative;
	display: inline-block;
	width: 100%;
	vertical-align: middle;
}

.select_wrap i{
	border: solid black;
	border-width: 0 3px 3px 0;
	display: inline-block;
	padding: 3px;
	position: absolute;
	right: 0;
	top: 50%;
	transform: translate(-12px, -50%) rotate(45deg);
}

.marginRight0{
	margin-right: 0;
}

.result_area {
	padding-top: 20px;
}

.result_area p,
.result_area span {
	display: inline-block;
	line-height: 33px;
} 

.calc_result>.W100 {
    display: inline-block;
}

input, select {
	color: #666;
	height: 36px;
	line-height: 36px;
	width: 100%;
	margin: 0 6px 0 0;
	-webkit-appearance: none;
	border: 1px solid #b3b3b3;
	border-radius: 4px;
	padding: 0 6px;
	font-size: 15px;
	box-sizing: border-box;
	background: #fff;
	vertical-align: middle;
}

input {
	text-align: center;
}

.f_left {
	float: left;
}

.f_right {
	float: right;
}

.W50.text {
	float: left;
	line-height: 55px;
}

.calc_result {
	width: 320px;
	margin-left: 20px;
	padding: 25px 25px 70px;
	background-color: #eeeeee;
	display: inline-block;
	position: relative;
}

.calc_result .W50{
	line-height: 25px;
	float: left;
	width: calc(50% - 3px);
	margin-bottom: 10px;
}

.calc_content {
	width: calc(100% - 320px - 25px);
	text-align: left !important;
	/* padding: 0 0 0 20px; */
	display: inline-block;

}

.calc_txt{
	padding: 20px 25px;
	margin-bottom: 20px;
}

.calc_txt>.W100{
	margin-bottom: 20px;
}

.calc_result .f_blue {
	display: inline-block;

}

.calc_result>p{
	margin-top: 20px;
}

.text {
    /* padding: 15px 0 5px; */
    width: 92px;
	display: inline-block;
	vertical-align: middle;
}

.btn {
	background: #000;
    text-align: center;
    color: #fff;
    cursor: pointer;
    letter-spacing: 2px;
    width: 100%;
    line-height: 54px;
    height: 54px;
    display: block;
    border-radius: 4px;
    background-color: #4a90e2;
    margin-top: 15px;
    font-family: sans-serif;
    font-size: 18px;
}

.btn:hover {
	opacity: .9;
}

.store_select {
	width: 120px;
}

p.text {
    display: inline-block;
}

.rr {
    width: 40px;
    display: inline-block;
    padding: 0 5px;
}

.text__delete{
	text-decoration: line-through;
}

input.weight.box60 {
    max-width: 80px;
}

.calc_txt input.box100 {
    max-width: calc(100% - 75px);
    margin: 4px 0 0 0;
}

.shipping {
	display: inline-block;
	width: calc(100% - 90px);
	max-width: 300px;
}

.total_wrap {
	line-height: 25px;
	margin: 10px 0 0;
}

.total {
	display: inline-block;
}

.result {
	line-height: 40px;
}

.noMR{
	margin-right: 0 !important;
}

footer {
	position: absolute;
	height: 60px;
	background: #4a90e2;
	color: #fff;
	width: 100%;
	left: 0;
	bottom: -20px;
	padding: 0 20px;
	font-weight: bold;
}

footer *{
	line-height: 60px !important;
}
.intro_pc {
	display: block;
}
.intro_mb {
	display: none;
}

.mb_wrap {
	display: inline-block;
	vertical-align: middle;
    /* float: right; */
}

@media (max-width: 768px) {
	footer {
		position: fixed;
		top:100vh;
		margin-top: -50px;
		line-height: 50px;
		padding: 0 20px;
	}
	
	.calc_content {
		width: 100%;
	}

	.calc_result {
		width: 100%;
		margin: 0;
		padding-bottom: 20px;
		margin-bottom: 50px;
	}

	.calc_result .W50 {
		max-width: 160px;
	}
	
	
}
@media (max-width: 599px) {
	input, select {
		height: 36px;
		/* padding: 0 4px; */
	}

	h1 {
		padding-bottom: 8px;
	}

	.pt30 {
		padding-top: 10px;
	}

	.f24 {
		font-size: 20px;
	}
	.box140 {
		max-width: calc(100% - 169px);
	}

	/* .box120 {
		max-width: 100px;
	} */

	.box60 {
		max-width: 55px;
	}

	.border {
		border: none;
	}
	.calc_txt {
		padding: 20px 20px 10px;
		margin-bottom: 0;
	}
	.intro_pc {
		display: none;
	}
	.intro_mb {
		display: block;
		padding-bottom: 80px;
	}
	.calc_txt>.W100{
		margin-bottom: 15px;
	}
	.calc_result {
		padding: 20px;
		margin-bottom: 0;
	}
	.wrapper {
		padding: 0;
	}
	
	.mb_wrap {
		width: 100%;
		padding-left: 97px;
		margin-top: 10px;
	}
	.shipping {
		width: calc(100% - 70px);
	}
}

@media (max-width: 320px) {
	.text {
		width: 65px;
	}
	.mb_wrap {
		width: 100%;
		padding-left: 70px;
		margin-top: 10px;
	}
}